Bug 1001514 - [zh_CN][Admin Portal] Unlocalized Up-Down buttons' text in 'Run Virtual Machines(s)' dialog.
[zh_CN][Admin Portal] Unlocalized Up-Down buttons' text in 'Run Virtual Machi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
medium Severity medium
: ---
: 3.3.0
Assigned To: Isaac Rooskov
Yuko Katabami
i18n
: Translation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 04:16 EDT by Lijun Li
Modified: 2016-02-10 14:00 EST (History)
11 users (show)

See Also:
Fixed In Version: is15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:18:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: i18n
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unlocalized Up-Down buttons' text in 'Run Virtual Machines(s)' dialog (45.63 KB, image/png)
2013-08-27 04:18 EDT, Lijun Li
no flags Details
screen-shot: Zanata (67.10 KB, image/png)
2013-09-05 11:02 EDT, Einav Cohen
no flags Details
VM Run Once - Boot Sequence "Up" and "Down" buttons are now localized. (34.67 KB, image/png)
2013-09-25 21:59 EDT, Yuko Katabami
no flags Details

  None (edit)
Description Lijun Li 2013-08-27 04:16:39 EDT
Description of problem:
[zh_CN][Admin Portal] Unlocalized Up-Down buttons' text in 'Run Virtual Machines(s)' dialog.

Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.16.master.el6ev.noarch.rpm
rhevm-webadmin-portal-3.3.0-0.16.master.el6ev.noarch.rpm

How reproducible:
100%

Steps to Reproduce:
1. Login web admin portal.
2. Click Virtual Machines tab
3. Select a VM from the list and click Run Once.


Actual results:
Unlocalized Up-Down buttons' text in 'Run Virtual Machines(s)' dialog.


Expected results:
It should be localized.

Additional info:
Please refer to the attached screen shot for more details.
Comment 1 Lijun Li 2013-08-27 04:18:27 EDT
Created attachment 790836 [details]
Unlocalized Up-Down buttons' text in 'Run Virtual Machines(s)' dialog
Comment 2 Tomas Jelinek 2013-09-03 04:52:10 EDT
The code calls the localization and it is localized in other languages, just the ApplicationConstants_zh_CN.properties does not translate them:
"
# auto translated by TM merge
bootSequenceDownButtonLabel=Down
bootSequenceUpButtonLabel=Up
"

All the other languages have the translated versions.

@Einav: thoughts?
Comment 3 Einav Cohen 2013-09-05 11:02:28 EDT
Created attachment 794304 [details]
screen-shot: Zanata
Comment 4 Einav Cohen 2013-09-05 11:29:13 EDT
(In reply to Tomas Jelinek from comment #2)
> The code calls the localization and it is localized in other languages, just
> the ApplicationConstants_zh_CN.properties does not translate them:
> "
> # auto translated by TM merge
> bootSequenceDownButtonLabel=Down
> bootSequenceUpButtonLabel=Up
> "
> 
> All the other languages have the translated versions.
> 
> @Einav: thoughts?

confirming that the zh_CN translations of the relevant strings appear in Zanata in English (see attachment 794304 [details]).

@Yuko - can you please assign to the relevant zh-CN translator to fix the translations in Zanata? the relevant strings (Down [resource ID: bootSequenceDownButtonLabel], Up [resource ID: bootSequenceUpButtonLabel]) appear in CommonApplicationConstants, userportal ApplicationConstants and webadmin ApplicationConstants documents. 
Thanks.
Comment 5 Yuko Katabami 2013-09-05 18:17:51 EDT
Hi Einav,

I have assigned this bug to zh-CN translator.
I will report here once it is fixed in Zanata.
Comment 8 Yuko Katabami 2013-09-25 21:59:40 EDT
Created attachment 803191 [details]
VM Run Once - Boot Sequence "Up" and "Down" buttons are now localized.
Comment 9 Yuko Katabami 2013-09-25 22:00:42 EDT
Verified the fix in 3.3.0-0.22.
Screenshot attached.
Moving the status to VERIFIED.
Comment 10 Itamar Heim 2014-01-21 17:18:20 EST
Closing - RHEV 3.3 Released
Comment 11 Itamar Heim 2014-01-21 17:24:40 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.